%define pypi_name markupsafe

%bcond_with check

Summary:	XML/HTML/XHTML markup safe string package for Python
Name:		python-markupsafe
Version:	3.0.2
Release:	%mkrel 2
License:	BSD
Group:		Development/Python
Url:		https://pypi.python.org/pypi/MarkupSafe
Source0:	%{pypi_source}
BuildRequires:	python3-devel
BuildRequires:	pyproject-rpm-macros

%description
This package implements a XML/HTML/XHTML markup safe string for Python.

%package -n python3-markupsafe
Summary:	XML/HTML/XHTML markup safe string package for Python
Group:		Development/Python
%{?python_provide:%python_provide python3-markupsafe}

%description -n python3-markupsafe
This package implements a XML/HTML/XHTML markup safe string for Python3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
#pyproject_save_files markupsafe

# C code errantly gets installed
rm %{buildroot}%{python3_sitearch}/markupsafe/*.c

%if %{with check}
%check
%pytest
%endif

%files -n python3-markupsafe
%license LICENSE.txt
%doc README.md
%{python3_sitearch}/*


%changelog
* Fri Feb 21 2025 neoclust <neoclust> 3.0.2-2.mga10
+ Revision: 2150280
- Rebuild against python 3.13

* Mon Feb 10 2025 daviddavid <daviddavid> 3.0.2-1.mga10
+ Revision: 2146676
- new version: 3.0.2

* Thu May 16 2024 papoteur <papoteur> 2.1.5-1.mga10
+ Revision: 2064412
- new version 2.1.5

* Sun Dec 17 2023 papoteur <papoteur> 2.1.3-2.mga10
+ Revision: 2018542
- rebuild for python 3.12
- new {paquet[1]}

* Thu Dec 07 2023 wally <wally> 2.1.1-2.mga10
+ Revision: 2014786
- rebuild for py3.12
- BR pyproject-rpm-macros
- use %%pyproject_buildrequires

* Wed Sep 07 2022 neoclust <neoclust> 2.1.1-1.mga9
+ Revision: 1885084
- New version 	2.1.1

* Fri Mar 18 2022 umeabot <umeabot> 2.0.1-3.mga9
+ Revision: 1798887
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.0.1-2.mga9
+ Revision: 1771858
- rebuild for python3.10

* Sat Jul 24 2021 joequant <joequant> 2.0.1-1.mga9
+ Revision: 1737591
- update to 2.0.1

* Sun Mar 14 2021 wally <wally> 1.1.1-7.mga9
+ Revision: 1702588
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1.1-6.mga8
+ Revision: 1531809
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.1.1-5.mga8
+ Revision: 1441032
- drop now useless patch

* Fri Sep 13 2019 tv <tv> 1.1.1-4.mga8
+ Revision: 1440451
- patch 0: fix linking with python 3.8
- bump release so that we're newer than the core/release's build

* Wed Sep 04 2019 wally <wally> 1.1.1-3.mga8
+ Revision: 1437152
- rebuild with new python-rpm-macros
- use python_provide

* Tue Sep 03 2019 wally <wally> 1.1.1-2.mga8
+ Revision: 1436787
- rebuild for python3.8
- disable tests for rebuild
- drop python2 support

* Fri Apr 19 2019 wally <wally> 1.1.1-1.mga7
+ Revision: 1393540
- new version 1.1.1

* Sat Jan 05 2019 wally <wally> 1.0-3.mga7
+ Revision: 1349268
- rebuild for python3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0-2.mga7
+ Revision: 1300524
- Mageia 7 Mass Rebuild

* Thu Aug 03 2017 philippem <philippem> 1.0-1.mga7
+ Revision: 1134450
- add removed wronglu endif
- clean spec
- update to 1.0

* Fri Feb 12 2016 umeabot <umeabot> 0.23-8.mga6
+ Revision: 958622
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 0.23-7.mga6
+ Revision: 886796
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.23-6.mga5
+ Revision: 740684
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.23-5.mga5
+ Revision: 729014
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 tv <tv> 0.23-4.mga5
+ Revision: 724840
- rebuild with pythoneggs aware rpm-mageia-setup

* Wed Sep 24 2014 joequant <joequant> 0.23-3.mga5
+ Revision: 724244
- backward compatible provides

* Tue Sep 16 2014 umeabot <umeabot> 0.23-2.mga5
+ Revision: 688141
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 0.23-1.mga5
+ Revision: 638951
- update to 0.23

* Sat May 31 2014 pterjan <pterjan> 0.18-4.mga5
+ Revision: 628779
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.18-3.mga4
+ Revision: 543733
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.18-2.mga4
+ Revision: 498895
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 02 2013 philippem <philippem> 0.18-1.mga4
+ Revision: 449661
- update to 0.18, add Python3

* Sun Jan 13 2013 umeabot <umeabot> 0.15-2.mga3
+ Revision: 379116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 0.15-1.mga3
+ Revision: 290064
- New upstream release 0.15

* Sat Apr 16 2011 ahmad <ahmad> 0.12-1.mga1
+ Revision: 86850
- update to 0.12

* Mon Feb 21 2011 ahmad <ahmad> 0.11-5.mga1
+ Revision: 55153
- rebuild so that pythonegg provides are lowercase
- enable tests

* Sun Jan 16 2011 ahmad <ahmad> 0.11-4.mga1
+ Revision: 20626
- rebuild for python-2.7

* Thu Jan 13 2011 ahmad <ahmad> 0.11-3.mga1
+ Revision: 8327
- drop the old %%py_requires macro and add BR python-devel
- imported package python-markupsafe


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.11-2mdv2011.0
+ Revision: 590386
- disable test, like for sphinx ( bootstraping for python 2.7 )
- rebuild for python 2.7

* Wed Oct 20 2010 Lev Givon <lev@mandriva.org> 0.11-1mdv2011.0
+ Revision: 587008
- Update to 0.11.

* Tue Aug 17 2010 Lev Givon <lev@mandriva.org> 0.9.3-1mdv2011.0
+ Revision: 571051
- Update to 0.9.3.

* Sun Aug 08 2010 Crispin Boylan <crisb@mandriva.org> 0.9.2-1mdv2011.0
+ Revision: 567631
- New package
- create python-markupsafe

